"use strict";
this.name	     = "FastTargetSelector_ModeChanger";
this.author	     = "phkb";
this.copyright   = "2016 phkb";
this.description = "Changes the way the FTS works in Condition Red.";
this.licence     = "CC BY-NC-SA 4.0";

//-------------------------------------------------------------------------------------------------------------
this.activated = function() {
	var w = worldScripts.FastTargetSelector;
	if (w) {
		if (player.ship.equipmentStatus("EQ_TARGETSELECTOR") != "EQUIPMENT_OK") {
			player.consoleMessage(expandDescription("[fts_damaged]"));
			w = null;
			return;
		}
		w._scanMode += 1;
		if (w._scanMode >= 2) w._scanMode = 0;
		player.consoleMessage(expandDescription("[fts_scan_mode_" + w._scanMode + "]"));
	}
	w = null;
}